<?php
/**
 * Aliases for special pages in the BetaFeatures extension.
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'BetaFeatures' => [ 'BetaFeatures' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'BetaFeatures' => [ 'خصائص_البيتا' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'BetaFeatures' => [ 'خصايص_البيتا' ],
];

/** Bengali (বাংলা) */
$specialPageAliases['bn'] = [
	'BetaFeatures' => [ 'বেটা_বৈশিষ্ট্য', 'বেটা_বৈশিষ্ট্যসমূহ' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'BetaFeatures' => [ 'ازمایشین_قابلیت' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'BetaFeatures' => [ 'Beta-Funktionen' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'BetaFeatures' => [ 'XısusiyetêBeta' ],
];

/** British English (British English) */
$specialPageAliases['en-gb'] = [
	'BetaFeatures' => [ 'BetaFeatures' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'BetaFeatures' => [ 'Beeta' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'BetaFeatures' => [ 'قابلیت‌های_آزمایشی' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'BetaFeatures' => [ 'אפשרויות_בטא' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'BetaFeatures' => [ 'Beta-funkcije' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'BetaFeatures' => [ '베타기능' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'BetaFeatures' => [ 'Beta-Fumktiounen' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'BetaFeatures' => [ 'خوصوٙصیات_بئتا' ],
];

/** Malagasy (Malagasy) */
$specialPageAliases['mg'] = [
	'BetaFeatures' => [ 'FitaovanaBeta' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'BetaFeatures' => [ 'БетаФункции' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'BetaFeatures' => [ 'പരീക്ഷണസൗകര്യങ്ങൾ' ],
];

/** Malay (Bahasa Melayu) */
$specialPageAliases['ms'] = [
	'BetaFeatures' => [ 'Ciri-ciri_beta' ],
];

/** Min Nan Chinese (Bân-lâm-gú) */
$specialPageAliases['nan'] = [
	'BetaFeatures' => [ 'Chhì-iōng_kong-lêng' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'BetaFeatures' => [ 'BetaMogelijkheden' ],
];

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = [
	'BetaFeatures' => [ 'ਬੀਟਾ_ਗੁਣ' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'BetaFeatures' => [ 'Funkcje_eksperymentalne' ],
];

/** Brazilian Portuguese (português do Brasil) */
$specialPageAliases['pt-br'] = [
	'BetaFeatures' => [ 'Recursos_beta' ],
];

/** Serbian Cyrillic (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'BetaFeatures' => [ 'Бета_функције', 'БетаФункције' ],
];

/** Serbian Latin (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'BetaFeatures' => [ 'Beta_funkcije', 'BetaFunkcije' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'BetaFeatures' => [ 'Beta-funktioner' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'BetaFeatures' => [ 'Бета-функції' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'BetaFeatures' => [ 'آزمائشی_خصوصیات' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'BetaFeatures' => [ 'Tính_năng_beta' ],
];

/** Simplified Chinese (中文（简体）) */
$specialPageAliases['zh-hans'] = [
	'BetaFeatures' => [ '测试功能' ],
];

/** Traditional Chinese (中文（繁體）) */
$specialPageAliases['zh-hant'] = [
	'BetaFeatures' => [ '測試功能' ],
];
